Index: locale/en/mlx.po
===================================================================
--- locale/en/mlx.po	(revision 845)
+++ locale/en/mlx.po	(revision 847)
@@ -2052,4 +2052,49 @@
 msgid "pirepEdit_FL"
 msgstr "  FL"
+
+msgid "pirepEdit_online"
+msgstr "Online"
+
+msgid "pirepEdit_online_tooltip"
+msgstr "If checked, it indicates that your flight was online, i.e. on VATSIM or IVAO"
+
+msgid "pirepEdit_route_level_tooltip"
+msgstr ""
+"The initial cruise flight level. Click on the arrows to increment "
+"or decrement by 10, or enter the number on the keyboard."
+
+msgid "pirepEdit_modified_route_level_tooltip"
+msgstr ""
+"The final cruise flight level in case of a step climb or descent during "
+"the flight. Click on the arrows to increment "
+"or decrement by 10, or enter the number on the keyboard."
+
+msgid "pirepEdit_block_time_start_tooltip"
+msgstr ""
+"You can edit the beginning of the block time here. The format expected is HH:MM."""
+
+msgid "pirepEdit_block_time_end_tooltip"
+msgstr ""
+"You can edit the end of the block time here. The format expected is HH:MM."""
+
+msgid "pirepEdit_flight_time_start_tooltip"
+msgstr ""
+"You can edit the beginning of the flight time here. The format expected is HH:MM."""
+
+msgid "pirepEdit_flight_time_end_tooltip"
+msgstr ""
+"You can edit the end of the flight time here. The format expected is HH:MM."""
+
+msgid "pirepEdit_fuel_used_tooltip"
+msgstr ""
+"The amount of fuel used during the flight can be modified here."
+
+msgid "pirepEdit_flight_type_tooltip"
+msgstr ""
+"The type of the flight can be selected here."
+
+msgid "pirepEdit_delayCodes_tooltip"
+msgstr ""
+"The delay codes set. You should edit them in the 'Comments & defects' tab at the bottom."
 
 msgid "about_website"
Index: locale/hu/mlx.po
===================================================================
--- locale/hu/mlx.po	(revision 845)
+++ locale/hu/mlx.po	(revision 847)
@@ -2067,4 +2067,49 @@
 msgid "pirepEdit_FL"
 msgstr "  FL"
+
+msgid "pirepEdit_online"
+msgstr "Online"
+
+msgid "pirepEdit_online_tooltip"
+msgstr "Ha ezt bejelölöd, azzal azt jelzed, hogy online, VATSIM-en vagy IVAO-n repültél."
+
+msgid "pirepEdit_route_level_tooltip"
+msgstr ""
+"A kezdeti repülési szint. A nyilakkal a szint 10-zel növelhető ill. "
+"csökkenthethő, vagy beírhatod a konkrét számot."
+
+msgid "pirepEdit_modified_route_level_tooltip"
+msgstr ""
+"A végső repülési szint lépcsős emelkedés vagy süllyedés esetén. "
+"A nyilakkal a szint 10-zel növelhető ill. csökkenthethő, "
+"vagy beírhatod a konkrét számot."
+
+msgid "pirepEdit_block_time_start_tooltip"
+msgstr ""
+"A fékoldás idejét módosíthatod itt. A formátum ÓÓ:PP."""
+
+msgid "pirepEdit_block_time_end_tooltip"
+msgstr ""
+"A leparkolás idejét módosíthatod itt. A formátum ÓÓ:PP."""
+
+msgid "pirepEdit_flight_time_start_tooltip"
+msgstr ""
+"A felszállás idejét módosíthatod itt. A formátum ÓÓ:PP."""
+
+msgid "pirepEdit_flight_time_end_tooltip"
+msgstr ""
+"A leszállás idejét módosíthatod itt. A formátum ÓÓ:PP."""
+
+msgid "pirepEdit_fuel_used_tooltip"
+msgstr ""
+"A repülés során elhasznált üzemanyag mennyisége módosítható itt."
+
+msgid "pirepEdit_flight_type_tooltip"
+msgstr ""
+"A repülés típusát választhatod itt ki."
+
+msgid "pirepEdit_delayCodes_tooltip"
+msgstr ""
+"A megadott késési kódok. Szerkeszteni a 'Megjegyzések és hibák' fül alsó részén tudod."
 
 msgid "about_website"
Index: src/mlx/gui/pirep.py
===================================================================
--- src/mlx/gui/pirep.py	(revision 846)
+++ src/mlx/gui/pirep.py	(revision 847)
@@ -999,5 +999,5 @@
         self._filedCruiseLevel.set_increments(step = 10, page = 100)
         self._filedCruiseLevel.set_range(min = 0, max = 500)
-        #self._filedCruiseLevel.set_tooltip_text(xstr("route_level_tooltip"))
+        self._filedCruiseLevel.set_tooltip_text(xstr("route_level_tooltip"))
         self._filedCruiseLevel.set_numeric(True)
         self._filedCruiseLevel.connect("value-changed", self._updateButtons)
@@ -1014,5 +1014,5 @@
         self._modifiedCruiseLevel.set_increments(step = 10, page = 100)
         self._modifiedCruiseLevel.set_range(min = 0, max = 500)
-        #self._modifiedCruiseLevel.set_tooltip_text(xstr("route_level_tooltip"))
+        self._modifiedCruiseLevel.set_tooltip_text(xstr("pirepEdit_modified_route_level_tooltip"))
         self._modifiedCruiseLevel.set_numeric(True)
         self._modifiedCruiseLevel.connect("value-changed", self._updateButtons)
@@ -1026,4 +1026,5 @@
         mainBox.pack_start(routeWindow, False, False, 0)
         self._userRoute.get_buffer().connect("changed", self._updateButtons)
+        self._userRoute.set_tooltip_text(xstr("route_route_tooltip"))
 
         return frame
@@ -1039,4 +1040,5 @@
                                       editable = True)
         self._departureMETAR.get_buffer().connect("changed", self._updateButtons)
+        self._departureMETAR.set_tooltip_text(xstr("takeoff_metar_tooltip"))
         mainBox.pack_start(metarWindow, True, True, 0)
 
@@ -1087,4 +1089,5 @@
                                       editable = True)
         self._arrivalMETAR.get_buffer().connect("changed", self._updateButtons)
+        self._arrivalMETAR.set_tooltip_text(xstr("landing_metar_tooltip"))
         mainBox.pack_start(metarWindow, True, True, 0)
 
@@ -1163,4 +1166,5 @@
                                              xstr("pirepView_blockTimeStart"))
         self._blockTimeStart.connect("changed", self._updateButtons)
+        self._blockTimeStart.set_tooltip_text(xstr("pirepEdit_block_time_start_tooltip"))
 
         self._blockTimeEnd = \
@@ -1168,4 +1172,5 @@
                                              xstr("pirepView_blockTimeEnd"))
         self._blockTimeEnd.connect("changed", self._updateButtons)
+        self._blockTimeEnd.set_tooltip_text(xstr("pirepEdit_block_time_end_tooltip"))
 
         self._flightTimeStart = \
@@ -1173,4 +1178,5 @@
                                              xstr("pirepView_flightTimeStart"))
         self._flightTimeStart.connect("changed", self._updateButtons)
+        self._flightTimeStart.set_tooltip_text(xstr("pirepEdit_flight_time_start_tooltip"))
 
         self._flightTimeEnd = \
@@ -1178,4 +1184,5 @@
                                              xstr("pirepView_flightTimeEnd"))
         self._flightTimeEnd.connect("changed", self._updateButtons)
+        self._flightTimeEnd.set_tooltip_text(xstr("pirepEdit_flight_time_end_tooltip"))
 
         self._flownDistance = PIREPViewer.getDataLabel(width = 3)
@@ -1189,4 +1196,5 @@
                                               1000000)
         self._fuelUsed.connect("value-changed", self._updateButtons)
+        self._fuelUsed.set_tooltip_text(xstr("pirepEdit_fuel_used_tooltip"))
 
         self._rating = PIREPViewer.getDataLabel(width = 3)
@@ -1211,4 +1219,5 @@
                                               300)
         self._flownNumPassengers.connect("value-changed", self._updateButtons)
+        self._flownNumPassengers.set_tooltip_text(xstr("payload_pax_tooltip"))
 
         self._flownNumCrew = \
@@ -1217,4 +1226,5 @@
                                               10)
         self._flownNumCrew.connect("value-changed", self._updateButtons)
+        self._flownNumCrew.set_tooltip_text(xstr("payload_crew_tooltip"))
 
         self._flownBagWeight = \
@@ -1222,4 +1232,5 @@
                                               xstr("pirepView_bagWeight"),
                                               100000, width = 6)
+        self._flownBagWeight.set_tooltip_text(xstr("payload_bag_tooltip"))
 
         self._flownCargoWeight = \
@@ -1227,4 +1238,5 @@
                                               xstr("pirepView_cargoWeight"),
                                               100000, width = 6)
+        self._flownCargoWeight.set_tooltip_text(xstr("payload_cargo_tooltip"))
 
         self._flownMailWeight = \
@@ -1232,4 +1244,5 @@
                                               xstr("pirepView_mailWeight"),
                                               100000, width = 6)
+        self._flownMailWeight.set_tooltip_text(xstr("payload_mail_tooltip"))
 
         self._flightType = createFlightTypeComboBox()
@@ -1237,7 +1250,9 @@
                                       xstr("pirepView_flightType"),
                                       self._flightType)
-
-        self._online = gtk.CheckButton(xstr("pirepView_online"))
+        self._flightType.set_tooltip_text(xstr("pirepEdit_flight_type_tooltip"))
+
+        self._online = gtk.CheckButton(xstr("pirepEdit_online"))
         table.attach(self._online, 2, 3, 2, 3)
+        self._online.set_tooltip_text(xstr("pirepEdit_online_tooltip"))
 
         PIREPViewer.addVFiller(mainBox)
@@ -1248,4 +1263,5 @@
         (textWindow, self._delayCodes) = PIREPViewer.getTextWindow()
         mainBox.pack_start(textWindow, False, False, 0)
+        self._delayCodes.set_tooltip_text(xstr("pirepEdit_delayCodes_tooltip"))
 
         return frame
